package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author zouxuan
 */
public class ExportVipGroupActivityDto {

    @ApiModelProperty(value = "适用分部")
    private String organName;

    @ApiModelProperty(value = "活动编号")
    private Integer id;

    @ApiModelProperty(value = "活动名称")
    private String name;

    @ApiModelProperty(value = "活动内容")
    private String description;

    @ApiModelProperty(value = "适用课程类型")
    private String vipGroupCategoryIdList;

    @ApiModelProperty(value = "启用状态")
    private YesOrNoEnum openFlag;

    @ApiModelProperty(value = "活动持续时间")
    private String time;

    @ApiModelProperty(value = "课程安排时间")
    private String courseTime;

    @ApiModelProperty(value = "活动类型")
    private String type;

    @ApiModelProperty(value = "活动折扣")
    private String disCount;

    @ApiModelProperty(value = "线上课结算类型")
    private String onlineSalaryType;

    @ApiModelProperty(value = "线上课结算公式")
    private String onlineSalarySettlement;

    @ApiModelProperty(value = "线下课结算类型")
    private String offlineSalaryType;

    @ApiModelProperty(value = "线下课结算公式")
    private String offlineSalarySettlement;

    public String getCourseTime() {
        return courseTime;
    }

    public void setCourseTime(String courseTime) {
        this.courseTime = courseTime;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getVipGroupCategoryIdList() {
        return vipGroupCategoryIdList;
    }

    public void setVipGroupCategoryIdList(String vipGroupCategoryIdList) {
        this.vipGroupCategoryIdList = vipGroupCategoryIdList;
    }

    public YesOrNoEnum getOpenFlag() {
        return openFlag;
    }

    public void setOpenFlag(YesOrNoEnum openFlag) {
        this.openFlag = openFlag;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDisCount() {
        return disCount;
    }

    public void setDisCount(String disCount) {
        this.disCount = disCount;
    }

    public String getOnlineSalaryType() {
        return onlineSalaryType;
    }

    public void setOnlineSalaryType(String onlineSalaryType) {
        this.onlineSalaryType = onlineSalaryType;
    }

    public String getOnlineSalarySettlement() {
        return onlineSalarySettlement;
    }

    public void setOnlineSalarySettlement(String onlineSalarySettlement) {
        this.onlineSalarySettlement = onlineSalarySettlement;
    }

    public String getOfflineSalaryType() {
        return offlineSalaryType;
    }

    public void setOfflineSalaryType(String offlineSalaryType) {
        this.offlineSalaryType = offlineSalaryType;
    }

    public String getOfflineSalarySettlement() {
        return offlineSalarySettlement;
    }

    public void setOfflineSalarySettlement(String offlineSalarySettlement) {
        this.offlineSalarySettlement = offlineSalarySettlement;
    }
}
